## j2cli 0.3.12b

=== Makefile ===
all:

SHELL := /bin/bash

# Package
.PHONY: clean
clean:
	@rm -rf build/ dist/ *.egg-info/ README.md README.rst
	@pip install -e .  # have to reinstall because we are using self
README.md: $(shell find j2cli/) $(wildcard misc/_doc/**)
	@python misc/_doc/README.py | python j2cli/__init__.py -f json -o $@ misc/_doc/README.md.j2


.PHONY: build publish-test publish
build: README.md
	@./setup.py build sdist bdist_wheel
publish-test: README.md
	@twine upload --repository pypitest dist/*
publish: README.md
	@twine upload dist/*


.PHONY: test test-tox
test:
	@nosetests
test-tox:
	@tox

=== debian/changelog ===
j2cli (0.3.12b-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ gustavo panizzo ]
  * Rebuild to upload source-only package

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 31 Oct 2020 16:58:18 +0000

j2cli (0.3.12b-1) unstable; urgency=low

  * Initial release. (Closes: #949678)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 23 Aug 2020 19:23:13 +0000

=== debian/control ===
Source: j2cli
Section: utils
Priority: optional
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-jinja2,
               python3-markupsafe,
               python3-nose,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.5.0
Homepage: https://github.com/kolypto/j2cli
Vcs-Git: https://salsa.debian.org/python-team/packages/j2cli.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/j2cli
Rules-Requires-Root: no

Package: j2cli
Architecture: all
Depends: python3,
         python3-jinja2,
         python3-markupsafe,
         python3-setuptools,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: ${python3:Recommends}
Description: Command line tool for templating in shell-scripts, leveraging
 the Jinja2 library.
 .
 Features:
 .
    - Jinja2 templating
    - INI, YAML, JSON data sources supported
    - Allows the use of environment variables in templates! Hello Docker :)

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild --verbose --with python3 --test-tox

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m nose -v tests
endif

=== debian/tests/control ===
Tests: json
Depends: @

Tests: envvars
Depends: @

Tests: ini
Depends: @

Tests: yaml
Depends: @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/j2cli/j2cli-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
